{
  lib,
  config,
  ...
}: let
  cfg = config.myPrograms.foot;
in {
  options = {
    myPrograms.foot.enable = lib.mkEnableOption "foot, a lightweight wayland terminal emulator";
  };

  config = lib.mkIf cfg.enable {
    programs.foot = {
      enable = true;
      settings = {
        main = {
          font = "FiraCode Nerd Font Mono:size=10";
          dpi-aware = "yes";
        };
        colors = {
          regular0 = "222222"; # black
          regular1 = "cc9393"; # red
          regular2 = "7f9f7f"; # green
          regular3 = "d0bf8f"; # yellow
          regular4 = "8cd0d3"; # blue
          regular5 = "dc8cc3"; # magenta
          regular6 = "93e0e3"; # cyan
          regular7 = "dcdccc"; # white

          bright0 = "666666"; # black
          bright1 = "dca3a3"; # red
          bright2 = "bfebbf"; # green
          bright3 = "f0dfaf"; # yellow
          bright4 = "8cd0d3"; # blue
          bright5 = "fcace3"; # magenta
          bright6 = "b3ffff"; # cyan
          bright7 = "ffffff"; # white
        };
      };
    };
  };
}
